Subject: I-D ACTION:draft-ietf-pwe3-hdlc-ppp-encap-mpls-00.txt

From: [email-masked]
Date: Tue, 17 Jun 2003 07:57:26 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Pseudo Wire Emulation Edge to Edge Working Group of the IETF.

	Title		: Encapsulation Methods for Transport of PPP/HDLC Frames
                          Over IP and MPLS Networks
	Author(s)	: L. Martini et al.
	Filename	: draft-ietf-pwe3-hdlc-ppp-encap-mpls-00.txt
	Pages		: 10
	Date		: 2003-6-16
	
A Pseudowire (PW) can be used to carry PPP, or HDLC Protocol Data
Units over an IP or MPLS network without terminating the PPP/HDLC
protocol. This enables service providers to offer 'emulated' HDLC, or
PPP link services over existing IP or MPLS networks. This document
specifies the encapsulation of PPP/HDLC PDUs within a pseudowire.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-pwe3-hdlc-ppp-encap-mpls-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-pwe3-hdlc-ppp-encap-mpls-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-pwe3-hdlc-ppp-encap-mpls-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Akiva Sadovski <[email-masked]>
Date: Mon, 23 Jun 2003 16:35:12 +0200

Luca and Andy,
  the draft is OK, but:

   almost all L2 encapsulations define 2 modes, f.ex. the FR encap:
     * 1:1 mode that strips FR headers, is mandatory and is the 
       only mode that can be used in conjunction with MPLS PSN
     * N:1 mode that carries FR headers, and is optional over IP PSN

   Should we define the same 2 modes for the HDLC-over-MPLS, e.g. to permit
address/control/protocol fields stripping at the ingress with possible
attachment of a different address(/control/protocol ?) at the egress ?
   However i doubt there's a need in such functionality, but ... maybe ...
to align all L2 drafts...

Best,
  Akiva.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, June 17, 2003 1:57 PM
> Cc: [email-masked]
> Subject: [PWE3] I-D ACTION:draft-ietf-pwe3-hdlc-ppp-encap-mpls-00.txt
> 
> 
> 	"FILE 
> /internet-drafts/draft-ietf-pwe3-hdlc-ppp-encap-mpls-00.txt".
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 24 Jun 2003 06:54:04 -0400

Akiva,

Including such functionality would be completely gratuitous (unless you 
know of a real-word need).  Port-to-port is all that is needed for HDLC and 
PPP carriage.

Cheers,
Andy

-------